import React from 'react';

export default class InputLengthWrapper extends React.Component {
	constructor(props) {
		super(props);
		this.state = {
			input: null,
			len: 0,
			maxLen: null
		};
	}

	componentDidMount() {
		this.setState({
			input: this.props.children,
			len: this.props.children.props ? this.props.children.props.value : 0,
			maxLen: this.props.children.props ? this.props.children.props.maxLength : null
		});
	}

	componentWillReceiveProps(nextProps) {
		let len = 0;
		if (nextProps.children.props && nextProps.children.props.value) {
			len = nextProps.children.props.value.length;
		}
		this.setState({len: len});
	}

	render() {
		let {input, len, maxLen} = this.state;
		return (
			<div>
				{input}
				<small style={{float: 'right'}}>{maxLen ? `${len}/${maxLen}` : `${len}`}</small>
			</div>
		)
	}
}
